Terminal Readers
Cancel the action of a terminal reader
Cancel the action of a terminal reader.
POST
/
v1
/
terminal
/
readers
/
{id}
/
cancel_action
Cancel the action of a terminal reader
curl --request POST \
--url https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "terminal.reader",
"device_type": "<string>",
"label": "<string>",
"location": {
"id": "<string>",
"created": 123,
"object": "terminal.location",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"display_name": "<string>",
"marketing": {
"brand": {
"color": "<string>",
"icon": "<string>"
},
"description": "<string>",
"featured_photo": "<string>",
"photos": [
"<string>"
]
},
"subtype": "bar",
"type": "food_and_beverage",
"account": "<string>",
"deleted": false,
"metadata": {}
},
"serial_number": "<string>",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
200 - application/json
Cancel the action of a terminal reader
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
Available options:
terminal.reader The model of the device.
Custom label given to the reader for easier identification.
The location the reader is registered to.
Show child attributes
Show child attributes
Serial number of the reader.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
Cancel the action of a terminal reader
curl --request POST \
--url https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/terminal/readers/{id}/cancel_action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "terminal.reader",
"device_type": "<string>",
"label": "<string>",
"location": {
"id": "<string>",
"created": 123,
"object": "terminal.location",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"display_name": "<string>",
"marketing": {
"brand": {
"color": "<string>",
"icon": "<string>"
},
"description": "<string>",
"featured_photo": "<string>",
"photos": [
"<string>"
]
},
"subtype": "bar",
"type": "food_and_beverage",
"account": "<string>",
"deleted": false,
"metadata": {}
},
"serial_number": "<string>",
"account": "<string>",
"deleted": false
}